commit:     e618cc68915b66de368fed7635ff9fd728b1d16d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jul  8 05:44:17 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jul  8 05:54:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e618cc68

dev-ruby/tilt: add 2.6.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/tilt/Manifest          |  1 +
 dev-ruby/tilt/tilt-2.6.1.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-ruby/tilt/Manifest b/dev-ruby/tilt/Manifest
index 43b9232a2a4c..e3eed64008c6 100644
--- a/dev-ruby/tilt/Manifest
+++ b/dev-ruby/tilt/Manifest
@@ -1,2 +1,3 @@
 DIST tilt-2.4.0.tar.gz 58520 BLAKE2B 
fe07437d62de1db062625c1ead3a81ed34bba0c7169181d44216b5f42b1b742b2c7900c079affbae13831d1370044827384da4302b6e92a01f151b36b37f3772
 SHA512 
3053479b9f258e01620db5f4af02247179df39f18baae2b5b83eac23046effafcd6f47575432158bb752e3019dcb0aadb67ca11236a12ea01e2211354b7418d1
 DIST tilt-2.6.0.tar.gz 61451 BLAKE2B 
aa007d0665685ddefb6c5228b3c89444913d632c462d7c9be017bdbd6138238e4d533b25e00f65c99ec0c6e59de512b446916b15a6ff7ef7bd1f9b3cda9911c3
 SHA512 
b1f2e146d98b75e97e479bfcbad125c0fd9c5bc707b5d9ea73185033f70461d008f9f94e5bab6e6e4676fd8237af08f9ea13f311f4673d3644c8dcc335d25c68
+DIST tilt-2.6.1.tar.gz 61702 BLAKE2B 
05c261e12b18f745e71f36d03bec312561e5bbe848e41158394d9d7a39a4f948edc060d42ca92bf9a337616b74e9c7997cb9865cd60b3c80f322515642439bdd
 SHA512 
805d016427a7d923832699ebec991ba36c928088b5fd0381d9b7bee7d97329854a909113821d71e569cbae7877b2ca160ae2f14d29ad369976b173f671e5b708

diff --git a/dev-ruby/tilt/tilt-2.6.1.ebuild b/dev-ruby/tilt/tilt-2.6.1.ebuild
new file mode 100644
index 000000000000..63c6d0bd3595
--- /dev/null
+++ b/dev-ruby/tilt/tilt-2.6.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md docs/TEMPLATES.md"
+
+RUBY_FAKEGEM_GEMSPEC="tilt.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Thin interface over template engines to make their usage as 
generic as possible"
+HOMEPAGE="https://github.com/jeremyevans/tilt";
+SRC_URI="https://github.com/jeremyevans/tilt/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+# Block on some of the potential test dependencies. These dependencies
+# are optional for the test suite, and we don't want to depend on all of
+# them to facilitate keywording and stabling.
+ruby_add_bdepend "test? (
+       dev-ruby/erubi
+       dev-ruby/nokogiri
+)"
+
+all_ruby_prepare() {
+       sed -e '/bundler/I s:^:#:' -i Rakefile test/test_helper.rb || die
+       sed -e '7irequire "uri"' -i test/test_helper.rb || die
+}

Reply via email to